<!doctype html>
<html lang="en">
<head>
<title>22-making-use-of-snapshotdebianorg-for-fun-and-p</title>
<meta name="generator" content="Etherpad">
<meta name="author" content="Etherpad">
<meta name="changedby" content="Etherpad">
<meta charset="utf-8">
<style>
ol {
  counter-reset: item;
}

ol > li {
  counter-increment: item;
}

ol ol > li {
  display: block;
}

ol > li {
  display: block;
}

ol > li:before {
  content: counters(item, ".") ". ";
}

ol ol > li:before {
  content: counters(item, ".") ". ";
  margin-left: -20px;
}

ul.indent {
  list-style-type: none;
}


</style>
</head>
<body>
<span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 1:</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"><zigo> The </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Python code</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> behind snapshot.d.o is </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">designed</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> to have </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">multiple storage backend,</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> however, it </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">currently</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">only supports a filesystem</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> as a backend. If it was able to </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">support OpenStack Swift or S3</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">, probably it'd be easier for sponsors to host a mirror. It would also make it more reliable and easy to administer. </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Have you thought about adding such an OpenStack Swift support ?</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> If not, maybe we could have an </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">outreachy</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> / summer of code project for it next year ?</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">If this is done (ie: a Swift storage driver is added to snapshot) then </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">we</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> (Infomaniak) probably can </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">sponsor the storage</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">, without any speed / access limitation... (I can ask my boss about it). </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">90 TB</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> is only the space of 1.5 server, when considering </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">3 replicas</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"> for each files, so storage would cost </span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">around ~20 000 USD</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">, something that Debian could afford easily). Without it, I'm afraid we can't do much...</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 2:</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_iBA6vlxaZGyN5NBJ" title="a_iBA6vlxaZGyN5NBJ" style="background-color:#6a2fb4">Are the snapshots on s.d.o de-duplicated (across files)? Signed?</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 3:</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_UDzZRdH1B1XGhO4p" title="a_UDzZRdH1B1XGhO4p" style="background-color:#7b61ea">[sergiodj] Eventually, I intend to index snapshot.d.o's debuginfo packages in the debuginfod.debian.net (hopefully .debian.org by then).  Do you envision any problems/limitations that may arise?  (I realize this is a generic question, I can provide more details if needed)</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 4:</span><br><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67"></span><br><span class="a_QLcvn26ED110WNR7" title="a_QLcvn26ED110WNR7" style="background-color:#70bc67">I (donfede) was recently debugging upstream HPLIP, which requires/is built on "older versions" of Debian (e.g. 10.8, while current latest was 10.10).  Installing a new Debian test system would immediately update to the latest point release.  Would these sites , and possibly the "debchroots" help standup "an older Debian system" to test and debug?</span><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 5:</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 6:</span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7"></span><br><span class="a_Sof1BYrUgGUGqMKk" title="a_Sof1BYrUgGUGqMKk" style="background-color:#3d48a7">Question 7:</span><br><span class="anonymous" title="anonymous"></span><br>
</body>
</html>
